Arch Remove/es: Difference between revisions

From FreeCAD Documentation
(Created page with "{{docnav/es|Add component|Survey|Arch|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}")
(Updating to match new version of source page)
 
(13 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav/es|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/es|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Workbench|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
{{GuiCommand/es|Name=Arch Remove|Name/es=Arch Remove|Workbenches=[[Arch Module/es|Entorno de Arquitectura]]|MenuLocation=Arquitectura → Sustraer|SeeAlso=[[Arch Add/es|Añadir]]}}
</div>

<div class="mw-translate-fuzzy">
{{GuiCommand/es
|Name=Arch Remove
|Name/es=Sustraer
|MenuLocation=Arquitectura → Sustraer
|Workbenches=[[Arch_Workbench/es|Entorno de Arquitectura]]
|SeeAlso=[[Arch Add/es|Añadir]]
}}
</div>
</div>


Line 11: Line 20:
La herramienta Sustraer te permite hacer dos tipos de operaciones:
La herramienta Sustraer te permite hacer dos tipos de operaciones:
* Eliminar un subcomponente de un objeto de Arquitectura, por ejemplo eliminar un cubo que se ha añadido a un muro, como en el ejemplo de [[Arch Add/es|Añadir]]
* Eliminar un subcomponente de un objeto de Arquitectura, por ejemplo eliminar un cubo que se ha añadido a un muro, como en el ejemplo de [[Arch Add/es|Añadir]]
* Restar un objeto basado en [[Part Module/es|formas]] de un objeto de Arquitectura como un [[Arch Wall/es|muro]] o [[Arch Structure/es|estructura]]
* Restar un objeto basado en [[Part_Workbench/es|formas]] de un objeto de Arquitectura como un [[Arch Wall/es|muro]] o [[Arch Structure/es|estructura]]
</div>
</div>


The counterpart of this tool is the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch Add|Arch Add]]}} tool.
The counterpart of this tool is the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch_Add|Arch Add]]}} tool.


[[Image:Arch Remove example.jpg|600px]]
[[Image:Arch Remove example.jpg|600px]]
Line 21: Line 30:
</div>
</div>


<div class="mw-translate-fuzzy">
==Utilización==
==Utilización==
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 31: Line 42:
Or
Or
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
# Press the {{Button|[[Image:Arch Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch Remove|Remove]]}} from the top menu.
# Press the {{Button|[[Image:Arch_Remove.svg|16px]]}} button, or {{KEY|Arch}} → {{KEY|[[Image:Arch_Remove.svg|16px]] [[Arch_Remove|Remove]]}} from the top menu.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 67: Line 78:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}
{{docnav|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Module|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}


{{Arch Tools navi}}


<div class="mw-translate-fuzzy">
{{Userdocnavi}}
{{docnav/es|[[Arch_Add|Add component]]|[[Arch_Survey|Survey]]|[[Arch_Workbench|Arch]]|IconL=Arch_Add.svg |IconC=Workbench_Arch.svg |IconR=Arch_Survey.svg}}
</div>

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 14:57, 9 March 2022

Sustraer

Ubicación en el Menú
Arquitectura → Sustraer
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Añadir

Descripción

La herramienta Sustraer te permite hacer dos tipos de operaciones:

  • Eliminar un subcomponente de un objeto de Arquitectura, por ejemplo eliminar un cubo que se ha añadido a un muro, como en el ejemplo de Añadir
  • Restar un objeto basado en formas de un objeto de Arquitectura como un muro o estructura

The counterpart of this tool is the Arch Add tool.

En la imagen superior, un cubo es sustraído de un muro

Utilización

  1. Selecciona un subcomponente de un objeto de Arquitectura, o:
  2. Selecciona objeto(s) a ser sustraídos, y luego el componente de Arquitectura del cual se desean sustraer (el componente de Arquitectura debe ser el último que selecciones)
  3. Presiona el botón Sustraer

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the button, or Arch Remove from the top menu.

Programación

La herramientas Eliminar se puede utilizar en macros y desde la consola de Python mediante la utilización de las siguientes funciones:

removeComponents(objectsList, host=None)

Elimina los componentes dados de sus padres. Si se especifica un objeto huésped, esta función tratará de añadir los componente como agujeros.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()